%define upstream_name    MojoX-Redis
%define upstream_version 0.85

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Asynchronous Redis client for Mojo
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MojoX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Mojolicious) >= 2.800.0
BuildRequires: perl(Protocol::Redis) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
the MojoX::Redis manpage is an asynchronous client to Redis for Mojo.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.850.0-3.mga4
+ Revision: 513029
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.850.0-2.mga3
+ Revision: 370023
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.850.0-1.mga3
+ Revision: 317681
- update to 0.85

* Tue Jun 19 2012 kharec <kharec> 0.840.0-1.mga3
+ Revision: 261893
- update to 0.84

* Sun Dec 11 2011 kharec <kharec> 0.830.0-1.mga2
+ Revision: 180712
- imported package perl-MojoX-Redis

